ExceptionList (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.ExceptionList class

Module java.corba
Package org.omg.CORBA

## Class ExceptionList

- java.lang.Object
- - org.omg.CORBA.ExceptionList

-     public abstract class ExceptionList
      extends Object

  An object used in `Request` operations to describe the exceptions that can be thrown by a method. It maintains a modifiable list of `TypeCode`s of the exceptions.

  The following code fragment demonstrates creating an `ExceptionList` object:

          ORB orb = ORB.init(args, null);
          org.omg.CORBA.ExceptionList excList = orb.create_exception_list();

  The variable `excList` represents an `ExceptionList` object with no `TypeCode` objects in it.

  To add items to the list, you first create a `TypeCode` object for the exception you want to include, using the `ORB` method `create_exception_tc`. Then you use the `ExceptionList` method `add` to add it to the list. The class `ExceptionList` has a method for getting the number of `TypeCode` objects in the list, and after items have been added, it is possible to call methods for accessing or deleting an item at a designated index.

  Since:
    JDK1.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionList()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `add​(TypeCode exc)` | Adds a `TypeCode` object describing an exception to this `ExceptionList` object.
    `abstract int` | `count()` | Retrieves the number of `TypeCode` objects in this `ExceptionList` object.
    `abstract TypeCode` | `item​(int index)` | Returns the `TypeCode` object at the given index.
    `abstract void` | `remove​(int index)` | Removes the `TypeCode` object at the given index.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionList

          public ExceptionList()

  - ### Method Detail

    - #### count

          public abstract int count()

      Retrieves the number of `TypeCode` objects in this `ExceptionList` object.
      Returns:
        the number of `TypeCode` objects in this `ExceptionList` object

    - #### add

          public abstract void add​(TypeCode exc)

      Adds a `TypeCode` object describing an exception to this `ExceptionList` object.
      Parameters:
        `exc` - the `TypeCode` object to be added

    - #### item

          public abstract TypeCode item​(int index)
                                 throws Bounds

      Returns the `TypeCode` object at the given index. The first item is at index 0.
      Parameters:
        `index` - the index of the `TypeCode` object desired. This must be an `int` between 0 and the number of `TypeCode` objects minus one, inclusive.
      Returns:
        the `TypeCode` object at the given index
      Throws:
        `Bounds` - if the index given is greater than or equal to the number of `TypeCode` objects in this `ExceptionList` object

    - #### remove

          public abstract void remove​(int index)
                               throws Bounds

      Removes the `TypeCode` object at the given index. Note that the indices of all the `TypeCoded` objects following the one deleted are shifted down by one.
      Parameters:
        `index` - the index of the `TypeCode` object to be removed. This must be an `int` between 0 and the number of `TypeCode` objects minus one, inclusive.
      Throws:
        `Bounds` - if the index is greater than or equal to the number of `TypeCode` objects in this `ExceptionList` object